package com.framsticks.framclipse.script.context;

import java.util.Collections;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

public class Code {

	@XStreamAsAttribute
	private String object;

	@XStreamAsAttribute
	private String member;

	@XStreamImplicit(itemFieldName = "context")
	private List<Context> contexts;

	public String getObject() {
		return object;
	}

	public void setObject(String object) {
		this.object = object;
	}

	public String getMember() {
		return member;
	}

	public void setMember(String member) {
		this.member = member;
	}

	public List<Context> getContexts() {
		return contexts != null ? contexts : Collections.<Context> emptyList();
	}

	public void setContexts(List<Context> contexts) {
		this.contexts = contexts;
	}

}
