package com.framsticks.framclipse.script.context;

import java.util.ArrayList;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

public class File {

	@XStreamAsAttribute
	private String pattern;

	@XStreamAsAttribute
	private String label;

	@XStreamImplicit(itemFieldName = "objects")
	private List<Objects> objects = new ArrayList<Objects>();

	private Code code;

	@XStreamImplicit(itemFieldName = "script")
	private List<Script> scripts = new ArrayList<Script>();

	@XStreamImplicit(itemFieldName = "properties")
	private List<Properties> properties = new ArrayList<Properties>();

	public String getPattern() {
		return pattern;
	}

	public void setPattern(String pattern) {
		this.pattern = pattern;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public List<Objects> getObjects() {
		return objects;
	}

	public void setObjects(List<Objects> objects) {
		this.objects = objects;
	}

	public Code getCode() {
		return code;
	}

	public void setCode(Code code) {
		this.code = code;
	}

	public List<Script> getScripts() {
		return scripts;
	}

	public void setScripts(List<Script> scripts) {
		this.scripts = scripts;
	}

	public List<Properties> getProperties() {
		return properties;
	}

	public void setProperties(List<Properties> properties) {
		this.properties = properties;
	}

}
