package com.framsticks.framclipse.script.context;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

@XStreamAlias("framscontext")
public class Framscontext {

	@XStreamImplicit(itemFieldName = "file")
	private List<File> files = new ArrayList<File>();

	public List<File> getFiles() {
		return files;
	}

	public void setFiles(List<File> files) {
		this.files = files != null ? files : Collections.<File> emptyList();
	}

}
