package com.framsticks.framclipse.scoping;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.scoping.impl.ImportUriResolver;

import com.framsticks.framclipse.framScript.Header;

public class FramScriptImportUriResolver extends ImportUriResolver {
	@Override
	public String apply(EObject from) {
		if (from instanceof Header) {
			Header header = (Header) from;
			if (header.getName().equals("expdef:")) {
				return header.getValue() + ".expdef";
			}
		}
		return super.apply(from);
	}
}