package com.framsticks.framclipse.script.model;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

@XStreamAlias("argument")
public class Argument {

	@XStreamAsAttribute
	private String name, type;

	public String getName() {
		return name;
	}
	
	public String getName(int nr) {
		return name != null ? name : "arg" + nr;
	}	

	public String getType() {
		return type != null ? type : "?";
	}

}
